# shellcheck shell=bash
# vim: ft=sh

if is-at-least 5.3; then
	zinit ice depth"1" # git clone depth
	zinit light romkatv/powerlevel10k

	# To customize prompt, run `p10k configure` or edit ~/.config/zsh/.p10k.zsh.
	if [[ -r "$ZDOTDIR/.p10k.user.zsh" ]]; then
		source "$ZDOTDIR/.p10k.user.zsh"
	else
		if [[ "$TERM" = "xterm" ]]; then
			[[ -r "$ZDOTDIR/.p10k.8colors.zsh" ]] && source "$ZDOTDIR/.p10k.8colors.zsh"
		else
			[[ -r "$ZDOTDIR/.p10k.zsh" ]] && source "$ZDOTDIR/.p10k.zsh"
		fi
	fi
else
	zinit light agkozak/agkozak-zsh-prompt
fi
